/**
 * Demo of task project.
 * @function apemanDemoTask
 * @param {object} [options] - Optional settings.
 * @returns {function} - Defined task function.
 */

'use strict'

const argx = require('argx')
const co = require('co')

/** @lends define */
function define (options) {
  let args = argx(arguments)
  options = args.pop('object') || {}

  /**
   * Defined task.
   * @function task
   * @param {object} context - Apeman task context.
   * @returns {Promise}
   */
  function task (context) {
    let logger = context.logger

    return co(function * () {

    })
  }

  Object.assign(task, {
    /**
     * Description of this task.
     */
    $desc: '__your_task_description__'
  })

  return task
}

module.exports = define
